"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildUrl = exports.random = exports.pick = exports.NUMERIC = exports.ALPHABET = void 0;
exports.ALPHABET = "abcdefghijklmnopqrstuvwxyz";
exports.NUMERIC = "0123456789";
function pick(opts) {
    return opts[Math.floor(Math.random() * opts.length)];
}
exports.pick = pick;
function random(length, ...charset) {
    let result = "";
    for (let i = 0; i < length; i++) {
        result += pick(charset);
    }
    return result;
}
exports.random = random;
function buildUrl(obj) {
    const query = Object.keys(obj.query).map(key => {
        return `${key}=${obj.query[key]}`;
    }).join("&");
    return `${obj.root}?${query}`;
}
exports.buildUrl = buildUrl;
